Subject: Re: Feature request: support listing worktrees sorted by creation time

From: Erik Cervin Edin <[email-masked]>
Date: Fri, 6 Mar 2026 14:02:15 +0100

On 26/03/05 07:50AM, Junio C Hamano wrote:
> 
> Since very early days of Git, we have created .git/description file
> that is not used very much (I think it is shown in gitweb).  Perhaps
> worktree should have an equivalent in per-worktree part of their
> .git/ directory and "git worktree list --verbose" can use its
> contents in addition to the additional pieces information it already
> shows, or something like that, perhaps?
> 

I think that sounds like a nice addition. I frequently name the worktree
to encode the intent of the worktree, but that can be a bit clunky.
Having a way to describe it and/or metadata sounds nice!